Supercheck LogoSupercheck
Runs API

Cancel a run

Cancel a running or queued job execution.

POST
/api/runs/{runId}/cancel

Authorization

bearerAuth
headerAuthorizationBearer <token>

Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.

Path Parameters

runId*string

Run ID

Formatuuid

Response Body

Run cancelled

application/json
  1. response
success?boolean
message?string
runId?string
Formatuuid
Example Request
curl -X POST 'https://demo.supercheck.dev/api/runs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel'
Example Response
{  "success": true,  "message": "string",  "runId": "78c33d18-170c-44d3-a227-b3194f134f73"}